Bug 487572 - undocumented conflict between rpm-build and fontpackages-filesystem
undocumented conflict between rpm-build and fontpackages-filesystem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 14:02 EST by Eric Paris
Modified: 2009-04-09 09:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 09:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2009-02-26 14:02:30 EST
rpm-build currently provides /usr/lib/rpm/fontconfig.prov
fontpackages-filesystem used to provide this file

but rpm-build does not have an explicit conflicts on the old fontpackages-filesystem.  Thus when you try to run yum update rpm\* or rpm -Uvh rpm\* they will fail.

If you first update fontpackages-filesystem and then try to update rpm everything works fine.

rpm needs to conflict with the old fontpackages-filesystem so package dependancies will get resolved properly rather than having it die on file dependancies....
Comment 1 Panu Matilainen 2009-04-09 09:11:53 EDT
This issue only ever existed temporarily in rawhide, I dont think it's worth fixing anymore especially as beta is out (and doesn't have this conflict)

Note You need to log in before you can comment on or make changes to this bug.